lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Lance Norskog <goks...@gmail.com>
Subject Re: Upgrading from 3.6 to 4.0
Date Wed, 02 Jan 2013 18:10:55 GMT
Indexes will not work. I have not heard of an index upgrader. If you run 
your 3.6 and new 4.0 Solr at the same time, you can upload all the data 
with a DataImportHandler script using the SolrEntityProcessor.

How large are your indexes? 4.1 indexes will not match 4.0, so you will 
have to upload everything twice. You might want to wait, or use a build 
from the 4.x trunk.

SolrJ client apps should work with 4.0.

On 01/02/2013 10:04 AM, Benjamin, Roy wrote:
> Will the existing 3.6 indexes work with 4.0 binary ?
>
> Will 3.6 solrJ clients work with 4.0 servers ?
>
>
> Thanks
> Roy


Mime
View raw message